perm.h File Reference

Deals with permutations of {0,1,...,n-1}. More...

`#include <cstdlib>`
`#include <string>`
`#include "regina-core.h"`
`#include "utilities/intutils.h"`
`#include "maths/perm-impl.h"`

## Classes

class | regina::Perm< n >
| Represents a permutation of {0,1,...,n-1}. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

template<int n>
using | regina::NPerm = Perm< n >
| Deprecated typedef for backward compatibility. More...

## Functions

constexpr char | regina::digit (int i)
| Returns the character used to express the integer i in a permutation. More...
constexpr int64_t | regina::factorial (int n)
| Returns the factorial of n. More...
template<int n>
std::ostream & | regina::operator<< (std::ostream &out, const Perm< n > &p)
| Writes a string representation of the given permutation to the given output stream. More...

## Detailed Description

Deals with permutations of {0,1,...,n-1}.

This is the only header that you need to include for Regina's permutation classes. It will automatically bring in all implementation details and specialisations.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).